Central

Central logging is a feature that allows you to use other products to send logs to a central location. This is useful for logging and analyzing logs from multiple sources.

This tag groups all operations for central.

Retrieve all CentralLogging

get
/central

This endpoint enables retrieving all CentralLogging using pagination and optional filters.

Authorizations
AuthorizationstringRequired

The token can be generated using the Authentication API.

Responses
chevron-right
200

Returned all requested CentralLogging successfully.

application/json
idstring · uuidRequired

ID of the list of CentralLogging resources.

Example: d9a741e7-1132-5b47-94d3-aabefa619c91
typestring · enumRequired

The type of the resource.

Possible values:
hrefstringRequired

The URL of the list of CentralLogging resources.

Example: /central
get
/central

Retrieve CentralLogging

get
/central/{centralId}

Returns the CentralLogging by ID.

Authorizations
AuthorizationstringRequired

The token can be generated using the Authentication API.

Path parameters
centralIdstring · uuidRequired

The ID (UUID) of the CentralLogging.

Example: 40740a56-ee77-5bff-8abc-2dda26b3144f
Responses
chevron-right
200

Getting CentralLogging was successful.

application/json
idstring · uuidRequired

The ID (UUID) of the CentralLogging.

Example: 40740a56-ee77-5bff-8abc-2dda26b3144f
typestring · enumRequired

The type of the resource.

Possible values:
hrefstringRequired

The URL of the CentralLogging.

Example: /central/40740a56-ee77-5bff-8abc-2dda26b3144f
get
/central/{centralId}

Ensure CentralLogging

put
/central/{centralId}

Ensures that the CentralLogging with the provided ID is created or modified. The full CentralLogging needs to be provided to ensure (either update or create) the CentralLogging. Non present data will only be filled with defaults or left empty, but not take previous values into consideration.

Authorizations
AuthorizationstringRequired

The token can be generated using the Authentication API.

Path parameters
centralIdstring · uuidRequired

The ID (UUID) of the CentralLogging.

Example: 40740a56-ee77-5bff-8abc-2dda26b3144f
Body
metadataanyOptional

Metadata

Responses
chevron-right
200

CentralLogging successfully updated.

application/json
idstring · uuidRequired

The ID (UUID) of the CentralLogging.

Example: 40740a56-ee77-5bff-8abc-2dda26b3144f
typestring · enumRequired

The type of the resource.

Possible values:
hrefstringRequired

The URL of the CentralLogging.

Example: /central/40740a56-ee77-5bff-8abc-2dda26b3144f
put
/central/{centralId}

Last updated

Was this helpful?